Update Row(s)

Change the values in one or multiple existing row(s) by defining the new values for necessary columns in the row object. Both SeaTable backends are supported.

📘

Structure of the row object

The row object contains key:value pairs with the column name as key and the desired values. Check the page Models to get a better understanding of the row object.

🚧

Column names only

This endpoint always expects column names (e.g. Name) in the row object, not internal column keys (e.g. 0000). The convert_keys parameter is not supported. Unknown keys are silently ignored without error.

Path Params
string
required

The unique identifier of a base. Sometimes also called dtable_uuid.

Body Params
string
required

The name of the table to perform the operation on. Alternatively, you can use the table_id instead of table_name. If using table_id, ensure that the key in the request body is replaced accordingly.

updates
array of objects
required

Defines the rows which should be updated.

updates*
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json